[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Succ

Return next element of ordinal type.

## Declaration

Source position: system.fpd line 56

`function Succ(`
`X: TOrdinal`
`):TOrdinal;`

## Description

Succ returns the element that succeeds the element that was passed to it. If it is applied to the last value of the ordinal type, and the program was compiled with range checking on ({$R+}), then a run-time error will be generated.

for an example, see Ord.

## Errors

Run-time error 201 is generated when the result is out of range.

## See also

Ord |  | Return ordinal value of an ordinal type.
Pred |  | Return previous element for an ordinal type.
High |  | Return highest index of open array or enumerated
Low |  | Return lowest index of open array or enumerated

Documentation generated on: Feb 26 2014